// Wbucket.h: interface for the Wbucket class.
//
//////////////////////////////////////////////////////////////////////

#pragma once
#include "Wsimplex.h"
#include "Woctree.h"

class Wbucket : public Woctree  
{
public:
	int getCount();
	void eliminate(Wsimplex* dieing);
	Wsimplex* search(Vector *proxy);
	Wsimplex* searchNeighbour(Wsimplex* proxy);
	Wbucket(  Wsimplex* founder, int orientation, Woctreebranch* parent);
	Woctree* add( Wsimplex* toadd,int maxObjsInBucket=8, double minBrick=10);
	Wbucket();
	virtual ~Wbucket();

	::std::vector<Wsimplex*> simplexArray;
private:
	int whereami;
};
