// Woctreebranch.h: interface for the Woctreebranch class.
//
//////////////////////////////////////////////////////////////////////

#pragma once
#include "Woctree.h"
#include "Wbucket.h"

class Woctreebranch : public Woctree 
{
public:
	Vector* getChildSize();
	Vector* getHalfer();
	Woctreebranch(Woctreebranch* parent, int orientation);
	Woctreebranch(double x, double y, double z, double rx, double ry, double rz);
	Woctreebranch(Wbucket* a, Woctreebranch*  parent, int orientation);
	virtual Woctree* add( Wsimplex* toadd,int maxObjsInBucket=8, double minBrick=10);
	virtual Wsimplex* search(Vector *proxy);
	virtual Wsimplex* searchNeighbour(Wsimplex* proxy);
	Woctreebranch();

	virtual ~Woctreebranch();

private:
	Woctree* subregion[8];
	double z;
	double y;
	double x;
	double rx,ry,rz;
};


