// WsubMesh.h: interface for the WsubMesh class.
//
//////////////////////////////////////////////////////////////////////

#pragma once
#include "Wsimplex.h"
#include "Vector.hpp"
class DelaunayMesh;

class WsubMesh  
{
	friend class DelaunayMesh;
public:
	void setInsider(Wsimplex* niro);
	WsubMesh();
	virtual ~WsubMesh();

	int isEmpty();
	void merge(WsubMesh* other);
	void add(Wsimplex* newbie);
	::std::vector<Wsimplex*> complete;
private:
	::std::vector<Wsimplex*> incomplete;
	::std::vector<Wsimplex*> insiders;

};

