#include "dxstdafx.h"
#include "Occluder.hpp"

Occluder::Occluder(const Vector& centre, const float hardRadius)
{
	this->centre = centre;
	this->solidRadius = hardRadius;

	lastTestedRayId = 0;
	occluders = NULL;
	nOccluders = 0;

	bbox.minPoint.x = centre.x - solidRadius;
	bbox.minPoint.y = centre.y - solidRadius;
	bbox.minPoint.z = centre.z - solidRadius;
	bbox.maxPoint.x = centre.x + solidRadius;
	bbox.maxPoint.y = centre.y + solidRadius;
	bbox.maxPoint.z = centre.z + solidRadius;

}

void Occluder::setupBBox()
{
	lastTestedRayId = 0;
	occluders = NULL;
	nOccluders = 0;

	bbox.minPoint.x = centre.x - solidRadius;
	bbox.minPoint.y = centre.y - solidRadius;
	bbox.minPoint.z = centre.z - solidRadius;
	bbox.maxPoint.x = centre.x + solidRadius;
	bbox.maxPoint.y = centre.y + solidRadius;
	bbox.maxPoint.z = centre.z + solidRadius;
}

Occluder::~Occluder(void)
{
}
