// Woctree.h: interface for the Woctree class.
//
//////////////////////////////////////////////////////////////////////

#pragma once

class Wsimplex;
class Woctreebranch;
class Vector;

class Woctree  
{
public:
	virtual Woctree* add( Wsimplex* toadd,int maxObjsInBucket=8, double minBrick=10)=0;
	virtual Wsimplex* search(Vector* proxy)=0;
	virtual Wsimplex* searchNeighbour(Wsimplex* proxy)=0;
	Woctree();
	virtual ~Woctree();

protected:
	Woctreebranch* parent;
};

